import { defHttp } from '@/utils/http/axios';
import { ID, IDS, commonExport } from '@/api/base';
import { MaintenanceInfoVO, MaintenanceInfoForm, MaintenanceInfoQuery } from './model';

/**
 * 查询维保单位基础信息;列表
 * @param params
 * @returns
 */
export function maintenanceInfoList(params?: MaintenanceInfoQuery) {
  return defHttp.get<MaintenanceInfoVO[]>({ url: '/maintenance/maintenanceInfo/list', params });
}

/**
 * 导出维保单位基础信息;列表
 * @param params
 * @returns
 */
export function maintenanceInfoExport(params?: MaintenanceInfoQuery) {
  return commonExport('/maintenance/maintenanceInfo/export', params ?? {});
}

/**
 * 查询维保单位基础信息;详细
 * @param id id
 * @returns
 */
export function maintenanceInfoInfo(id: ID) {
  return defHttp.get<MaintenanceInfoVO>({ url: '/maintenance/maintenanceInfo/' + id });
}

/**
 * 新增维保单位基础信息;
 * @param data
 * @returns
 */
export function maintenanceInfoAdd(data: MaintenanceInfoForm) {
  return defHttp.postWithMsg<void>({ url: '/maintenance/maintenanceInfo', data });
}

/**
 * 更新维保单位基础信息;
 * @param data
 * @returns
 */
export function maintenanceInfoUpdate(data: MaintenanceInfoForm) {
  return defHttp.putWithMsg<void>({ url: '/maintenance/maintenanceInfo', data });
}

/**
 * 删除维保单位基础信息;
 * @param id id
 * @returns
 */
export function maintenanceInfoRemove(id: ID | IDS) {
  return defHttp.deleteWithMsg<void>({ url: '/maintenance/maintenanceInfo/' + id });
}
